/*--------------------------------------
	macreslib.c ...a small implementaion
	of the Macintosh Resource Manager on
	the Apple II GS

	Marc Wolfgram,  3/ 5/92 22:35:31
*/

#include "macreslib.h"

Handle	~~TopMapHndl;	/* handle of the first opened resource map */
Handle	~~CurMap;		/* handle of the current map */
word	~~ResLoad;		/* last SetResLoad state */
word	~~ResErr;		/* last error status */

void mrmInitResources(void)
{
	~~TopMapHndl = 0L;
	~~CurMap = 0L;
	~~ResErr = 0L;
}

word mrmOpenResFile(char *filename)
{
word fileRef;

return ~~ResErr ? 0 : fileRef;

}

void mrmCloseResFile(word fileRef)
{


}

word mrmCurResFile(void)
{
	if (~~CurMap) {
        ~~ResErr = 0;
        return (**~~CurMap).fileRef;
    }
    ~~ResErr = -193;
    return 0;
}

word mrmUseResFile(word fileRef)
{
	if (~~CurMap) {
        ~~ResErr = 0;
        return (**~~CurMap).fileRef;
    }
    ~~ResErr = -193;
    return 0;
}


word mrmCountTypes(void)
{


}

void GetIndType(mrmTypePtr resType, word index)
{


}

word mrmSetResLoad(word load)
{

}

word mrmCountResources(void)
{


}

handle GetIndResource(mrmType resType, word index)
{


}

handle GetResource(mrmType resType, word ID)
{

}


{


}
